Page MenuHomePhabricator

Update broken gadgets on WMF wikis (tracking)
Open, HighPublic

Description

Three of the gadgets on English Wikipedia are currently broken because they haven't been updated to use ResourceLoader.

  • ImageAnnotator
  • HideCentralNotice and
  • The JavaScript Standard Library

It would be nice to fix them :) Similarly for other WMF wikis.

Related Objects

StatusAssignedTask
OpenNone
DeclinedAklapper
ResolvedJdforrester-WMF
ResolvedMjbmr
Resolvedkaldari
DuplicateNone
OpenArkanosis
Resolvedkaldari
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedkaldari
Resolvedkaldari
Resolvedkaldari
Resolvedkaldari
Resolvedkaldari
Resolvedkaldari
Resolvedkaldari
ResolvedNiharika
ResolvedNiharika
ResolvedNone
Resolvedkaldari
OpenNone
ResolvedKrinkle
ResolvedCatrope
Resolvedmatmarex
InvalidNone
InvalidIneuw
OpenNone
DeclinedNone
Resolvedmatej_suchanek
DeclinedNone
ResolvedNemo_bis
ResolvedAftabuzzaman

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
kaldari raised the priority of this task from to Needs Triage.Aug 7 2015, 5:04 AM
kaldari assigned this task to Niharika.
kaldari added a project: Gadgets.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 5:04 AM
kaldari updated the task description. (Show Details)Aug 7 2015, 5:08 AM
kaldari set Security to None.
Legoktm added a subscriber: Legoktm.Aug 7 2015, 5:26 AM
He7d3r added a subscriber: He7d3r.

On-wiki issue, should not be tracked in phabricator, especially not against Gadgets

Only English Wikipedia? Several gadgets have been broken on other high traffic wikis as well. It would be nice if those are fixed as well.

On-wiki issue, should not be tracked in phabricator, especially not against Gadgets

From the home page, "Phabricator is a collaboration platform open to all Wikimedia and MediaWiki contributors. We focus on bug reporting and software projects. Non-technical initiatives are welcome as well." I don't really think it's a problem to track on wiki issues on Phabricator.

He7d3r renamed this task from Update broken gadgets on English Wikipedia to Update broken gadgets on WMF wikis.Aug 7 2015, 4:04 PM
He7d3r updated the task description. (Show Details)

Out of curiosity: Is it easy to get from the DB the number of legacy gadgets per WMF wiki?

CC'd some global interface editors.

I don't really think it's a problem to track on wiki issues on Phabricator.

It is, but please discuss the general issue in T85433 and T71445 instead.

Out of curiosity: Is it easy to get from the DB the number of legacy gadgets per WMF wiki?

You can use the API (https://en.wikipedia.org/w/api.php?action=query&list=gadgets&formatversion=2) and see if "legacyscripts" = true.

English Wikipedia has enough contributors not to need my services as global interface editor. I would rather not edit interface pages there unless there is an emergency.

matmarex removed a subscriber: matmarex.Aug 7 2015, 7:13 PM

Special:Gadgets displays an errorbox "Gadget is not loaded. Please migrate to ResourceLoader. (Learn more)" under each of these three gadgets. But there's no indication in User preferences > Gadgets that they're not loaded. Seems like a bug.

ImageAnnotator seemed to work for me anyway, the sandbox its help creates let me annotate an image.

mxn added a subscriber: mxn.Aug 12 2015, 10:02 PM

The English Wikipedia gadgets are fixed now. Does anyone know of gadgets on other projects that are broken due to the ResourceLoader requirement, or should I close this bug for now?

He7d3r added a subscriber: GOIII.Aug 13 2015, 10:34 AM

It would be nice if https://meta.wikimedia.org/wiki/MediaWiki:Gadget-SBHandler.js could be fixed. Editing the huge page directly is a pita.

Aklapper added a comment.EditedAug 13 2015, 1:20 PM

Does anyone know of gadgets on other projects that are broken due to the ResourceLoader requirement, or should I close this bug for now?

T108437: Added button groups to WikiEditor toolbar do not appear after MW ResourceLoader update (English Wikisource)

and potentially also T108863: Page namespace advanced editor toolbar position is broken on English Wikisource

kaldari renamed this task from Update broken gadgets on WMF wikis to Tracking: Update broken gadgets on WMF wikis.Aug 13 2015, 7:26 PM
kaldari added a project: Tracking-Neverending.

I've changed this into a tracking bug. Please add gadget specific bugs as blockers.

Fhocutt moved this task from Untriaged to Blocked on the Community-Tech board.Aug 25 2015, 6:08 PM
kaldari triaged this task as High priority.Aug 25 2015, 6:32 PM

@Aklapper: I know that Phabricator isn't usually the place to track broken gadgets, but there are so many gadgets that have broken recently (due to removal of sajax support, the new RL requirement, API changes, etc.) that it's something of a crisis. The Community Tech team would like to help the communities tackle this problem as it seems many of them lack the technical capacity to fix all the gadgets that no longer have active maintainers. If you have any suggestions for how to better organize this effort, let me know.

Probably, the vast majority of gadgets Wikimedia-wide were broken by the deprecations in the last few weeks. A start would be to use d072ac25a0d7d4ef4c94e99eaf079c7b3b91fdc1 and list all such "legacyscrips" gadgets across all wikis.

Niharika removed Niharika as the assignee of this task.Aug 26 2015, 10:12 AM
Niharika added a subscriber: Niharika.
Aklapper added a comment.EditedAug 26 2015, 7:54 PM

@Aklapper: I know that Phabricator isn't usually the place to track broken gadgets, but there are so many gadgets that have broken recently (due to removal of sajax support, the new RL requirement, API changes, etc.) that it's something of a crisis. The Community Tech team would like to help the communities tackle this problem as it seems many of them lack the technical capacity to fix all the gadgets that no longer have active maintainers. If you have any suggestions for how to better organize this effort, let me know.

Regarding "tracking gadget issues in Phabricator", see T85433#1549981 for my stance.
In short: If the Community-Tech team feels responsible I have no problem to see gadget related Phabricator tasks associated to the Community-Tech project. I'd just like to see Community-Tech clearly communicate their understanding of responsibility for such issues to avoid potential confusion and disappointment among involved parties.
Also, could you elaborate a bit on "how to better organize this effort"? Do you refer to organizing tasks in Phabricator itself, or rather communication with communities (like outside Phabricator)?

Should the Community-Tech team generally be CC'ed on gadget-related reports in Phabricator (e.g. T110333)?

I wonder if T106915 could help this job. If we had JavaScript errors logs and a smart way to query them, it would be vastly easier to find broken gadgets. Error volume is irrelevant, the true question is "what percentage of requests by A to wiki B get this JavaScript error?" where A is unregistered users/registered users/sysops/active users/people with gadget X enabled.

DannyH renamed this task from Tracking: Update broken gadgets on WMF wikis to Update broken gadgets on WMF wikis (tracking).Oct 28 2015, 7:42 PM

I wonder if T106915 could help this job.

I'm still wondering. :-) At least when JavaScript fails to execute altogether, having it logged somewhere would be nice.

Krinkle removed a subscriber: Krinkle.